extends layout
block content
    .dashboard-main-wrapper(style='width: 100%')
        .dashboard-header
            include navbar
        include sidebar
        .dashboard-wrapper(style='min-height:calc(100vh - 110px) !important')
            .dashboard-ecommerce
                .container-fluid.dashboard-content
                    .row
                        .col-xl-10.col-lg-9.col-md-8.col-sm-8.col-8
                            .page-header
                                h2.pageheader-title Aperçu des serveurs
                        .col-xl-2.col-lg-3.col-md-4.col-sm-4.col-4
                            .page-header
                                a.btn.btn-primary.float-right(href='/servers/add') Ajouter serveur
                    .row
                        .col-xl-12.col-lg-12.col-md-12.col-sm-12.col-12
                            .card
                                .card-body.p-0
                                    .table-responsive
                                        table.table
                                            thead.bg-light
                                                tr.border-0
                                                    th.border-0 Nom d'hôte
                                                    th.border-0 Adresse IP
                                                    th.border-0 Port
                                                    th.border-0 Etat
                                                    th.border-0 CPU
                                                    th.border-0 RAM
                                                    th.border-0 Action
                                            tbody
                                                each server in servers
                                                    tr
                                                        td= server.hostname
                                                        td= server.ipAddress
                                                        td= server.port
                                                        td
                                                            i.fas.fa-circle#ping(style='color:' + server.health + ';')
                                                        td
                                                            div#cpu= server.cpu
                                                        td
                                                            div#ram= server.ram
                                                        td
                                                            a.btn.btn-outline-light.mr-2(href='/servers/' + server.hostname + '/console' target='_blank') Console
                                                            a.btn.btn-outline-light.mr-2(href='/servers/' + server.hostname) Plus de détails
        .footer
            .container-fluid
                .row
                    .col-xl-6.col-lg-6.col-md-6.col-sm-12.col-12
                        | Copyright &copy; 2019 Monitording.
                    .col-xl-6.col-lg-6.col-md-6.col-sm-12.col-12
                        .text-md-right.footer-links.d-none.d-sm-block
                            a(href='javascript: void(0);') About
                            a(href='javascript: void(0);') Support
                            a(href='javascript: void(0);') Contact Us
    script(src='../assets/vendor/jquery/jquery-3.3.1.min.js')
    script(src='../assets/vendor/bootstrap/js/bootstrap.bundle.js')
    script(src='../assets/vendor/slimscroll/jquery.slimscroll.js')
    script(src='../assets/libs/js/main-js.js')
    script(src='../assets/vendor/charts/chartist-bundle/chartist.min.js')
    script(src='../assets/vendor/charts/sparkline/jquery.sparkline.js')
    script(src='../assets/vendor/charts/morris-bundle/raphael.min.js')
    script(src='../assets/vendor/charts/morris-bundle/morris.js')
    script(src='../assets/vendor/charts/c3charts/c3.min.js')
    script(src='../assets/vendor/charts/c3charts/d3-5.4.0.min.js')
    script(src='../assets/vendor/charts/c3charts/C3chartjs.js')
    script(src='../assets/libs/js/dashboard-ecommerce.js')
